core::IPAddressList Class Reference

`#include <IPAddressList.h>`

## Public Member Functions

| IPAddressList ()
std::map< std::string, IPAddress > | getList ()
void | add (IPAddress ipAddress)
bool | remove (IPAddress ipAddress)
bool | contains (std::string ipAddress)

## Constructor & Destructor Documentation

## IPAddressList()

core::IPAddressList::IPAddressList | ( |  | ) |

## Member Function Documentation

## add()

void core::IPAddressList::add | ( | IPAddress | ipAddress | ) |

## contains()

bool core::IPAddressList::contains | ( | std::string | ipAddress | ) |

## getList()

std::map< std::string, IPAddress > core::IPAddressList::getList | ( |  | ) |

## remove()

bool core::IPAddressList::remove | ( | IPAddress | ipAddress | ) |

The documentation for this class was generated from the following files:

- IPAddressList.h
- IPAddressList.cpp